apt-get remove problem

problem was:

# dpkg --remove --force-all adobe-flashplugin
dpkg: warning: overriding problem because --force enabled:
Package is in a very bad inconsistent state - you should
reinstall it before attempting a removal.
(Reading database ... 200274 files and directories currently installed.)
adobe-flashplugin kaldırılıyor ...
update-alternatives: error: no alternatives for iceape-flashplugin.
update-alternatives: error: no alternatives for iceape-flashplugin.
dpkg: error processing adobe-flashplugin (--remove):
installed pre-removal script alt işlemi çıkış durumunda hata döndürdü : 2
postinst called with argument `abort-remove'
dpkg: temizleme esnasında hata oluştu:
installed post-installation script alt işlemi çıkış durumunda hata döndürdü : 1
Errors were encountered while processing:
adobe-flashplugin

solution: (really bad but working solution, i found no else.. )

rm /var/lib/dpkg/info/adobe-flashplugin.prerm

I found that solution in:
[url]https://lists.ubuntu.com/archives/ubuntu-users/2007-January/103602.html[...

Forums: